﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartTitleDecorationsCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            Random r = new Random();
            for (int i = 1; i < 7; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = "Label " + i.ToString(),
                    Value = r.Next(1, 10)
                });
            }
        }
    }

    public class SampleData
    {
        public string Label { get; set; }
        public int Value { get; set; }
    }
}
